## ru.biosoft.plugins.jri.server
Class ServerRJSEnvironment

    java.lang.Object
      ru.biosoft.plugins.jri.server.ServerRJSEnvironment

All Implemented Interfaces:
  ru.biosoft.plugins.javascript.JSEnvironment

    public class ServerRJSEnvironment

extends java.lang.Object
implements ru.biosoft.plugins.javascript.JSEnvironment

JSEnvironment for ClientRObject

Field Summary

Fields inherited from interface ru.biosoft.plugins.javascript.JSEnvironment
`ENVIRONMENT_OBJECT`

Constructor Summary
`ServerRJSEnvironment()`

Method Summary
`void` | `error(java.lang.String msg)`
`java.util.List<java.lang.String>` | `getError()`
`java.util.List<java.lang.String>` | `getHelp()`
`java.util.List<java.awt.image.BufferedImage>` | `getImages()`
`java.util.List<java.lang.String>` | `getPrint()`
`java.util.List<ru.biosoft.table.TableDataCollection>` | `getTables()`
`java.util.List<java.lang.String>` | `getWarn()`
`java.lang.String` | `preprocessLink(java.lang.String link)`
`void` | `print(java.lang.String msg)`
`void` | `showGraphics(java.awt.image.BufferedImage image)`
`void` | `showHtml(java.lang.String help)`
`void` | `showTable(ru.biosoft.table.TableDataCollection dataCollection)`
`void` | `warn(java.lang.String msg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerRJSEnvironment

    public ServerRJSEnvironment()

Method Detail

### error

    public void error(java.lang.String msg)

  Specified by:
    `error` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

### print

    public void print(java.lang.String msg)

  Specified by:
    `print` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

### showGraphics

    public void showGraphics(java.awt.image.BufferedImage image)

  Specified by:
    `showGraphics` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

### showHtml

    public void showHtml(java.lang.String help)

  Specified by:
    `showHtml` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

### showTable

    public void showTable(ru.biosoft.table.TableDataCollection dataCollection)

  Specified by:
    `showTable` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

### warn

    public void warn(java.lang.String msg)

  Specified by:
    `warn` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

### getHelp

    public java.util.List<java.lang.String> getHelp()

### getError

    public java.util.List<java.lang.String> getError()

### getWarn

    public java.util.List<java.lang.String> getWarn()

### getPrint

    public java.util.List<java.lang.String> getPrint()

### getImages

    public java.util.List<java.awt.image.BufferedImage> getImages()

### getTables

    public java.util.List<ru.biosoft.table.TableDataCollection> getTables()

### preprocessLink

    public java.lang.String preprocessLink(java.lang.String link)

  Specified by:
    `preprocessLink` in interface `ru.biosoft.plugins.javascript.JSEnvironment`

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.